MessageConditional : WOConditional
{
    condition = message.length;
}

Message : WOString
{
    value = message;
}

Form: WOForm
{
	target=^target;
	name = "loginForm";
}

User: WOTextField
{
    value = user;
}

Password: WOPasswordField
{
    value = password;
}

Submit: WOSubmitButton
{
    action = login;
    value = "Login";
}

Reset: WOResetButton
{
    value = "Clear";
}

TryCount: WOString
{
        value = tryCount;
}


IsTryCountEqualTo0: WOKeyValueConditional
{
        key = tryCount;
        value = 0;
}

IsTryCountEqualTo1: WOKeyValueConditional
{
        key = tryCount;
        value = 1;
}

IsTryCountEqualTo2: WOKeyValueConditional
{
        key = tryCount;
        value = 2;
}

IsTryCountEqualTo3: WOKeyValueConditional
{
        key = tryCount;
        value = 3;
}

IsTryCountGreaterThan0: WOConditional
{
        condition = @isTryCountGreaterThan.0;
}

IsTryCountGreaterThan1: WOConditional
{
        condition = @isTryCountGreaterThan.1;
}

IsTryCountGreaterThan2: WOConditional
{
        condition = @isTryCountGreaterThan.2;
}

IsTryCountGreaterThan3: WOConditional
{
        condition = @isTryCountGreaterThan.3;
}
